Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache
Interface DataNode

All Superinterfaces:
  TreeNode

All Known Implementing Classes:
  AbstractNode, Node, OptimisticTreeNode

    public interface DataNode

extends TreeNode

Represents a DataNode in the cache.

Author:
  Manik Surtani (manik@jboss.org)

Field Summary
`static int` | `LOCK_TYPE_NONE` Lock type of none.
`static int` | `LOCK_TYPE_READ` Lock type of read.
`static int` | `LOCK_TYPE_WRITE` Lock type of write.
`static boolean` | `PRINT_LOCK_DETAILS` Initialized property for debugging "print_lock_details"

Method Summary
`boolean` | `acquire(java.lang.Object caller, long lock_acquisition_timeout, int lockTypeWrite)` Returns true if a lock is acquired.
`java.lang.Object` | `clone()` Returns a copy of this node.

Methods inherited from interface org.jboss.cache.TreeNode
`acquireAll, addChild, childExists, clear, containsKey, createChild, createChild, get, getChild, getChildren, getChildrenLoaded, getData, getDataKeys, getFqn, getImmutableLock, getLock, getName, getOrCreateChild, getParent, hasChildren, isLocked, numAttributes, print, printDetails, printIndent, printLockInfo, put, put, put, release, releaseAll, releaseAllForce, releaseForce, remove, removeAllChildren, removeChild, setChildren, setChildrenLoaded, setRecursiveTreeCacheInstance`

Field Detail

### LOCK_TYPE_NONE

    static final int LOCK_TYPE_NONE

  Lock type of none.

  See Also:
    Constant Field Values

### LOCK_TYPE_READ

    static final int LOCK_TYPE_READ

  Lock type of read.

  See Also:
    Constant Field Values

### LOCK_TYPE_WRITE

    static final int LOCK_TYPE_WRITE

  Lock type of write.

  See Also:
    Constant Field Values

### PRINT_LOCK_DETAILS

    static final boolean PRINT_LOCK_DETAILS

  Initialized property for debugging "print_lock_details"

Method Detail

### acquire

    boolean acquire(java.lang.Object caller,
                    long lock_acquisition_timeout,
                    int lockTypeWrite)
                    throws java.lang.InterruptedException,
                           LockingException,
                           TimeoutException

  Returns true if a lock is acquired.

  Parameters:
    `lock_acquisition_timeout` - milliseconds to wait
    `lockTypeWrite` - lock type to use
  Throws:
    `java.lang.InterruptedException`
    `LockingException`
    `TimeoutException`

### clone

    java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a copy of this node.

  Throws:
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.